Subject: bug#76969: kill-buffer fails silently when a thread exists where it's current

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Jul 2025 08:24:26 +0300

> Date: Thu, 31 Jul 2025 05:43:30 +0300
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 26/07/2025 13:06, Eli Zaretskii wrote:
> >> Date: Thu, 24 Jul 2025 04:32:05 +0300
> >> Cc:[email-masked],[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >> +DEFUN ("thread-buffer-disposition", Fthread_buffer_disposition, Sthread_buffer_disposition,
> >> +       1, 1, 0,
> >> +       doc: /* Return the value of THREAD's buffer disposition.  */)
> > The doc string should document the values.
> > 
> >> +DEFUN ("thread-set-buffer-disposition", Fthread_set_buffer_disposition, Sthread_set_buffer_disposition,
> >> +       2, 2, 0,
> >> +       doc: /* Set THREAD's buffer disposition.  */)
> > Likewise.
> 
> Okay. Do I just copy the argument's description twice? Alternatively, 
> could add references to 'make-thread'.

Either of these is fine.

> > Also, these two new primitives should be documented in the ELisp
> > manual.
> 
> Are they important enough for the manual? Since 'make-thread' gets the 
> new argument, I'd imagine most users would go through it, or at least 
> learn about "thread disposition" due to that.

It just takes a sentence or two (and index entries) to mention these.
You don't have to use the full-fledged @defun thingy.

> If you're sure, no problem - it's just the section that I'm looking at 
> is called "Basic Thread Functions".

Right after make-thread, IMO.